Kerbal Space Program - Bug #13247

Botched edge normal smoothing on MK1 Inline Cockpit
11/17/2016 05:55 AM - SamHall

Status: Closed Start date: 11/17/2016
Severity: Normal % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 1.2.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

There are a bunch of weird sharp-shaded edges scattered all over the model of the Mk1 Inline cockpit as of KSP 1.2.1. I'm attaching
screenshots of the model in both 1.2.0 and 1.2.1; see if you can spot the difference. | expect this happened while the ladder was
being fixed.

Thing is, | actually know exactly what went wrong here, because I've seen that specific pattern of messed-up edge normals before.
Taniwha's Blender .mu import/export plugin (
http://forum.kerbalspaceprogram.com/index.php?/topic/40056-11x-blender-mu-importexport-addon-v100/) is a very handy tool for
modders, but it does have its shortcomings, chief among which is an inability to get edge normals QUITE right on import. Take a look
at the third image here; that's what the the 1.2.0 version of the model looks like when you import it into Blender with Taniwha's tool,
clearly displaying the exact same pattern of erroneously split edges we're seeing in 1.2.1 screenshot.

So yeah, you need to clean up and redo all your sharp edges manually after you import a model from a .mu file into Blender. It's a
little inconvenient, but not hugely so. Select the whole model, CTRL+V for Vertices, "Remove Doubles", ALT+click your edge loops
and mark em sharp, edge split modifier marked edges only and you're done. Five minutes tops.

History

#1 - 11/18/2016 02:16 AM - swjr-swis
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed in 1.2.1.1604 x64 on Windows. Also confirmed the edges are not visible in 1.2.0.1586.

#3 - 11/20/2016 06:50 AM - bewing
- Status changed from Confirmed to Ready to Test

- % Done changed from 10 to 80

#4 - 12/07/2016 03:38 AM - JPLRepo
- Version changed from 1.2.1 to 1.2.2

#5 - 06/22/2017 08:37 PM - Squelch
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

#6 - 06/22/2017 08:39 PM - Squelch

- Status changed from Resolved to Closed
